package com.yizhi.live.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.enums.IdType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
直播回放vo
 */
@Api
@Data
public class LiveReplayVo {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "直播ID")
	private Long liveId;

	@ApiModelProperty(value = "直播计划开始时间")
	private Date livePlanStartAt;

	@ApiModelProperty(value = "直播logo url")
	private String liveLogoUrl;

	@ApiModelProperty(value = "主播名称")
	private String liveAnchor;

	@ApiModelProperty(value = "直播观看人数")
	private Integer liveViewers;

	@ApiModelProperty(value = "直播系统生成的id")
	private String videoId;

	@ApiModelProperty(value = "点播视频ID")
	private String videoPoolId;

	@ApiModelProperty(value = "回放视频对应的直播频道id")
	private String channelId;

	@ApiModelProperty(value = "视频标题")
	private String title;

	@ApiModelProperty(value = "视频首图")
	private String firstImage;

	@ApiModelProperty(value = "时长")
	private String duration;

	@ApiModelProperty(value = "回放排序")
	private Integer rank;

	@ApiModelProperty(value = "视频播放地址，注：如果视频为加密视频，则此地址无法访问")
	private String url;

	@ApiModelProperty(value = "liveType alone, ppt")
	private String liveType;

	@ApiModelProperty(value = "直播观看类型：0: 公开播放 ; 1: 站内授权播放; ")
	private Integer viewType;

	@ApiModelProperty(value = "是否使用本身封面图片；true：是；false:不是")
	private Boolean defaultLogo;

	@ApiModelProperty(value = "回放图片说明")
	private String imageDesc;

	@ApiModelProperty(value = "直播开始时间")
	private Date startTime;

	@ApiModelProperty(value = "直播回放状态 1: 上架 0:下架")
	private Boolean liveReplayStatus;

	@ApiModelProperty(value = "回放置顶时间")
	private Date topTime;

	@ApiModelProperty(value = "直播间主题")
	private String liveTitle;

	@ApiModelProperty(value = "直播默认图片地址")
	private String liveDefaultLogoUrl;

}
