package com.yizhi.live.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 直播回放回调
 */
@Data
@Api
public class PolyvLiveBackCallbackVo {

    @ApiModelProperty(value = "频道ID")
    private String channelId;
    @ApiModelProperty(value = "转存成功的视频ID")
    private String vid;
    @ApiModelProperty(value = "视频标题")
    private String title;
    @ApiModelProperty(value = "视频时长 格式为 hh:mm:ss")
    private String duration;
    @ApiModelProperty(value = "视频文件大小，单位为byte")
    private Long fileSize;
    @ApiModelProperty(value = "13位的时间戳")
    private long timestamp;
    @ApiModelProperty(value = "校验的加密字符串，生成的规则md5(AppSecret+timestamp)，AppSecret是直播系统的用密匙")
    private String sign;
    @ApiModelProperty(value = "录制的场次和时间对应的数组字符串，格式：[\"20190703145126,4,fdqbopvtnv\",\"20190703145126,8,fdqbopvtnv\"] ，其中：\"20190703145126,4,fdqbopvtnv\" 第一个字段是开始时间，第二个字段是直播的时长，第三个是对应的sessionId。")
    private String sessionIds;
    @ApiModelProperty(value = "回放对应的单个场次id")
    private String sessionIs;
    @ApiModelProperty(value = "转存对应的录制文件id")
    private String filedId;
    @ApiModelProperty(value = "转存回放唯一的id")
    private String videoId;
    @ApiModelProperty(value = "录制来源。manual-云录制，auto-自动录制，merge-合并，clip-裁剪")
    private String origin;
    @ApiModelProperty(value = "用户id")
    private String userId;
    @ApiModelProperty(value = "转存成功返回success")
    private String status;


    @ApiModelProperty(value = "录制文件地址")
    private String fileUrl;
    @ApiModelProperty(value = "文件类型，m3u8或者mp4")
    private String format;
    @ApiModelProperty(value = "录制唯一的id")
    private String fileId;
    @ApiModelProperty(value = "该字段只对开启云录制功能有用），值为 'Y'，表示该场直播录制同时存在云录制和自动录制，值为\"N\"，该场直播只有自动录制")
    private String hasRtcRecord;

}
